<?php


namespace App\Cates\Controller;

use App\Http\Response\Response;
use App\Traits\Controller;
use App\Cates\Model\Cates as CategoryModel;
class Category extends \Illuminate\Routing\Controller
{

    use Controller;

    protected $query_fields = [
        "previous","kw_name","is_del","sort"
    ];

    public function index()
    {
        $query = request()->query();
        $where = $this->filter($query);
        $model = $this->setBlurSearch(CategoryModel::class,$where,"category_name");
        is_null($where) && $where = [];
        $row  = isset($query["size"])?$query["size"]:config("app.default_perpage");
        return Response::success($model->paginate($row)->toArray());
    }

    public function info($id)
    {

    }

    public function child($id)
    {

    }
}
